# UpdateAPConfigSetting

Update a AP config setting

`PUT /api/v2/companies/{companyid}/apconfigsetting`

**API:** AvaTax API
**Tag:** APConfigSetting
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Content-Type:** `application/json`
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/crossborder/api/methods/APConfigSetting/UpdateAPConfigSetting/

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `companyid` | integer | path | Yes | The ID of the company that owns this AP config setting object |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Request Body

**Schema:** `APConfigSettingRequestModel`

AP Config Setting Request Model

| Property | Type | Required | Description |
|---|---|---|---|
| `amount` | number | No | The Amount Threshold To Ignore Transaction Example: `1000`. |
| `amountToMarkForReview` | number | No | The Amount Threshold To Mark Transaction For Manual Review Example: `2000`. |
| `ignoreThresholdWhenVCTZero` | boolean | No | Ignore threshold when Vendor Charged Tax is zero Example: `true`. |
| `varianceForIgnore` | number | No | The Variance For Ignore Example: `100`. |
| `varianceForAccrue` | number | No | The Variance For Accrue Example: `100`. |
| `variancePercent` | number | No | The Variance Percent Example: `10`. |
| `apConfigToleranceType` | string | No | The Ap Config Tolerance Type
BATCH or REALTIME Values: `RealTime`, `Batch`. Example: `RealTime`. |
| `payAsBilledNoAccrual` | number | No | Pay Billed Do Not Accrue Example: `1`. |
| `payAsBilledAccrueUndercharge` | number | No | Pay Billed Accrue Example: `2`. |
| `shortPayItemsAccrueUndercharge` | number | No | ShortPay Items UnderCharge Example: `3`. |
| `markForReviewUndercharge` | number | No | Review UnderCharge Example: `4`. |
| `rejectUndercharge` | number | No | Reject UnderCharge Example: `5`. |
| `payAsBilledOvercharge` | number | No | Pay As BilledOvercharge Example: `1`. |
| `shortPayAvalaraCalculated` | number | No | Short Pay Avalara CalculatedTax Example: `2`. |
| `shortPayItemsAccrueOvercharge` | number | No | Short Pay Items Example: `3`. |
| `markForReviewOvercharge` | number | No | Review OverCharge Example: `4`. |
| `rejectOvercharge` | number | No | Reject OverCharge Example: `5`. |
| `isActive` | boolean | No | Is Active Example: `false`. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `APConfigSettingSuccessResponseModel` |
| 400 | Bad Request | `TaxProfileErrorResponseModel` |
| 401 | Unauthorized | `TaxProfileErrorResponseModel` |
| 403 | Forbidden | `TaxProfileErrorResponseModel` |
| 404 | Not Found | `TaxProfileErrorResponseModel` |
| 409 | Conflict | `TaxProfileErrorResponseModel` |
| 500 | Server Error | `TaxProfileErrorResponseModel` |

### 200 Response: `APConfigSettingSuccessResponseModel`

AP Config Setting Response Model

| Property | Type | Required | Description |
|---|---|---|---|
| `ruleId` | integer | No | The Rule Id Example: `0`. |
| `companyId` | integer | No | CompanyId to which the rule belongs Example: `1`. |
| `meta` | TaxProfileMetaDataModel | No | Meta data of the APConfigSetting |
| `amount` | number | No | The Amount Threshold To Ignore Transaction Example: `1000`. |
| `amountToMarkForReview` | number | No | The Amount Threshold To Mark Transaction For Manual Review Example: `2000`. |
| `ignoreThresholdWhenVCTZero` | boolean | No | Ignore threshold when Vendor Charged Tax is zero Example: `true`. |
| `varianceForIgnore` | number | No | The Variance For Ignore Example: `100`. |
| `varianceForAccrue` | number | No | The Variance For Accrue Example: `100`. |
| `variancePercent` | number | No | The Variance Percent Example: `10`. |
| `apConfigToleranceType` | string | No | The Ap Config Tolerance Type
BATCH or REALTIME Values: `RealTime`, `Batch`. Example: `RealTime`. |
| `payAsBilledNoAccrual` | number | No | Pay Billed Do Not Accrue Example: `1`. |
| `payAsBilledAccrueUndercharge` | number | No | Pay Billed Accrue Example: `2`. |
| `shortPayItemsAccrueUndercharge` | number | No | ShortPay Items UnderCharge Example: `3`. |
| `markForReviewUndercharge` | number | No | Review UnderCharge Example: `4`. |
| `rejectUndercharge` | number | No | Reject UnderCharge Example: `5`. |
| `payAsBilledOvercharge` | number | No | Pay As BilledOvercharge Example: `1`. |
| `shortPayAvalaraCalculated` | number | No | Short Pay Avalara CalculatedTax Example: `2`. |
| `shortPayItemsAccrueOvercharge` | number | No | Short Pay Items Example: `3`. |
| `markForReviewOvercharge` | number | No | Review OverCharge Example: `4`. |
| `rejectOvercharge` | number | No | Reject OverCharge Example: `5`. |
| `isActive` | boolean | No | Is Active Example: `false`. |

## Example Request

```bash
curl -X PUT "https://sandbox-rest.avatax.com/api/v2/companies/{companyid}/apconfigsetting" \
  -H "Authorization: Basic <credentials>" \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -d '{
  "amount": 1000,
  "amountToMarkForReview": 2000,
  "ignoreThresholdWhenVCTZero": true,
  "varianceForIgnore": 100,
  "varianceForAccrue": 100,
  "variancePercent": 10,
  "apConfigToleranceType": "Batch",
  "payAsBilledNoAccrual": 1,
  "payAsBilledAccrueUndercharge": 2,
  "shortPayItemsAccrueUndercharge": 3,
  "markForReviewUndercharge": 4,
  "rejectUndercharge": 5,
  "payAsBilledOvercharge": 1,
  "shortPayAvalaraCalculated": 2,
  "shortPayItemsAccrueOvercharge": 3,
  "markForReviewOvercharge": 4,
  "rejectOvercharge": 5,
  "isActive": false
}'
```